lz4(1)

NAME
lz4 - Extremely fast compression algorithm

SYNOPSIS

lz4 [OPTIONS] [-|INPUT-FILE] <OUTPUT-FILE>

DESCRIPTION

lz4 is an extremely fast lossless compression algorithm. It is based on the LZ77 family of compression scheme. At the compression speed of 400 MB/s per core, lz4 is also scalable with multi-core CPUs. It features an extremely fast decoder, with speed in multiple GB/s per core, typically reaching the RAM speed limits on multi-core systems. lz4 supports following options

OPTIONS

-1
     fast compression (default)

-9
     high compression

-d
     decompression

-f
     overwrite output without prompting

-h/-H
     display help/long help and exit

-V
     display Version number and exit

-v
     verbose mode

-q
     suppress warnings; specify twice to suppress errors too

-c
     force write to standard output, even if it is the console

-t
     test compressed file integrity

-z
     force compression

-l
     use Legacy format (useful for Linux Kernel compression)

-B#
     block size [4-7](default : 7)

-BD
     block dependency (improve compression ratio)

-BX
     enable block checksum (default:disabled)

-Sx
     disable stream checksum (default:enabled)

-b
     benchmark file(s)

-i#
     iteration loops [1-9](default : 3), benchmark mode only

BUGS
Report bugs at:- https://code.google.com/p/lz4/

AUTHOR
Yann Collet